<%@ Page Language="VB" ContentType="text/html" %>
<%@ Register TagPrefix="MM" Namespace="DreamweaverCtrls" Assembly="DreamweaverCtrls,version=1.0.0.0,publicKeyToken=836f606ede05d46a,culture=neutral" %>
<%@ Register TagPrefix="DotNetNews" TagName="Header" Src="../controls/top.ascx" %>
<%@ Register TagPrefix="DotNetNews" TagName="Footer" Src="../controls/bottom.ascx" %>
<%@ Register TagPrefix="DotNetNews" TagName="Menu" Src="../controls/menu_left.ascx" %>
<%
' ===============================================================================
' WWWeb Concepts ASP.NET Development Solutions www.ebconcepts.com
' This application designed and written by James W. Threadgill 
' wayne@ebconcepts.com. You must leave copyright notices intact. 
' Copyright 2001. All Rights Reserved.
' ===============================================================================
%>
<MM:Insert
runat="server"
CommandText='<%# "INSERT INTO tbl_New (N_Date, N_headline, N_paragraph) VALUES (?, ?, ?)" %>'
ConnectionString='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_STRING_datasource") %>'
DatabaseType='<%# System.Configuration.ConfigurationSettings.AppSettings("MM_CONNECTION_DATABASETYPE_datasource") %>'
Expression='<%# Request.Form("MM_insert") = "form1" %>'
CreateDataSet="false"
SuccessURL='<%# "admin_news.aspx" %>'
Debug="true"
> 
  <Parameters> 
    <Parameter Name="@N_Date" Value='<%# IIf((Request.Form("N_Date") <> Nothing), Request.Form("N_Date"), "") %>' Type="Date" /> 
    <Parameter Name="@N_headline" Value='<%# IIf((Request.Form("N_headline") <> Nothing), Request.Form("N_headline"), "") %>' Type="WChar" /> 
    <Parameter Name="@N_paragraph" Value='<%# IIf((Request.Form("N_paragraph") <> Nothing), Request.Form("N_paragraph"), "") %>' Type="WChar" /> 
  </Parameters>
</MM:Insert>
<MM:PageBind runat="server" PostBackBind="true" />
<script language="VB" runat="server">

        Sub Page_Load
            If Not IsPostBack
                'Validate intially to force *s to appear before the first round-trip
                Validate()
            End If
        End Sub
</script>
<html>
<head>
<style>
.errortxt
	{
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #FF0000;
	}
</style>
<title>Site Administration</title>
<link rel="stylesheet" type="text/css" href="../style.css">
<script language=javascript>
<!--
    function ClientOnChange() {
       if (typeof(Page_Validators) == "undefined")
          return;
       document.all["lblOutput"].innerText = Page_IsValid ? "Page is Valid!" : "Some of the required fields are empty";
    }
// -->
</script>
</head>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table border="0" cellpadding="0" cellspacing="0" width="650" align="center">
  <tr> 
    <td colspan="2"><DotNetNews:Header ID="Header1" runat="server" />
 </td>
  </tr>
  <tr> 
    <td colspan="2" class="specialbold">Master Site Administration</td>
  </tr>
  <tr> 
    <td colspan="2"><img src="images/spacer.gif" width="100" height="10"></td>
  </tr>
  <tr> 
    <td width="125" valign="top" rowspan="3"><DotNetNews:Menu ID="Menu1" runat="server" />
</td>
    <td valign="top" width="100%"> </td>
  </tr>
  <tr> 
    <td valign="top"> <form id="addnews" method="post" enctype="multipart/form-data" runat="server">
        <table align="center" width="100%">
          <tr> 
            <td  colspan="2"><h1>Add News Item</h1>
              <p>To add news items, add contents to the text boxes below. Click 
                submit to complete the update.</p></td>
          </tr>
          <tr> 
            <td nowrap align="left" class="tablesmall" colspan="2"> <asp:Label ID="lblOutput" Name="lblOutput" Text="Fill in the required fields below" cssclass="errortxt" runat=server /> <br> </td>
          </tr>
          <tr> 
            <td nowrap align="left" class="specialbold">Headline 
              <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" ControlToValidate="N_headline" ErrorMessage="*" Display="Static"></asp:RequiredFieldValidator> </td>
            <td> <asp:textbox Columns="25" ID="N_headline" MaxLength="150" Rows="1" runat="server" TextMode="SingleLine" onchange="ClientOnChange();" /> </td>
          </tr>
          <tr> 
            <td nowrap class="specialbold">Content 
              <asp:RequiredFieldValidator id="RequiredFieldValidator2" runat="server" ControlToValidate="N_paragraph"  ErrorMessage="*" Display="Static" Width="100%"></asp:RequiredFieldValidator> </td>
            <td> <asp:textbox Columns="30" ID="N_paragraph" MaxLength="1000" Rows="5" runat="server" TextMode="MultiLine" onchange="ClientOnChange();" /> </td>
          </tr>
          <tr> 
            <td nowrap align="right"><img src="images/spacer.gif" alt="" width="150" height="10"></td>
            <td width="100%"> <input name="N_Date" type="hidden" id="N_Date" value="<%=DateTime.Today%>"> 
              <asp:button type="submit" name="btnSubmit"	text="Add News" cssClass="button" runat="server"/> </td>
          </tr>
          <tr> 
            <td class="tablesmall" colspan="2"><i>HTML code can be input into 
              this form: use &lt;p&gt; to start a new paragraph, &lt;br&gt; to 
              end a line, &lt;br&gt;&lt;br&gt; to make a line space, and &lt;a 
              href=&quot;linkpath&quot;&gt;Link Text&lt;/a&gt; for a hyperlink.</i></td>
          </tr>
        </table>
        <input type="hidden" name="MM_insert" value="form1">
      </form></td>
  </tr>
  <tr> 
    <td valign="top">&nbsp;</td>
  </tr>
  <tr> 
    <td colspan="2"> <DotNetNews:Footer ID="Footer1" runat="server" /> </td>
  </tr>
</table>
</body>
</html>